=== debian/changelog ===
libkcddb (4:25.08.2-0ubuntu1~tux1) noble; urgency=medium

  * backporting packaging for TUXEDO OS from ubuntu resolute

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Thu, 06 Nov 2025 23:02:33 +0000

libkcddb (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:55:24 +0100
