## libkcddb 25.08.3+p24.04+vunstable+git20251201.0235

=== debian/changelog ===
libkcddb (4:25.08.3+p24.04+vunstable+git20251201.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:35:12 +0000

libkcddb (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:16 +1000

libkcddb (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:46:35 +0000
