## libkcddb 25.12.0+p24.04+vstable+git20251212.0453

=== debian/changelog ===
libkcddb (4:25.12.0+p24.04+vstable+git20251212.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 04:53:06 +0000
