## libkcddb 25.12.0+p24.04+vunstable+git20251208.1333

=== debian/changelog ===
libkcddb (4:25.12.0+p24.04+vunstable+git20251208.1333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:33:44 +0000
