## libkcddb 25.12.1+p24.04+vstable+git20260113.0534

=== debian/changelog ===
libkcddb (4:25.12.1+p24.04+vstable+git20260113.0534-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 05:34:55 +0000
