## libkcddb 25.12.1+p24.04+vunstable+git20260106.1512

=== debian/changelog ===
libkcddb (4:25.12.1+p24.04+vunstable+git20260106.1512-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:12:16 +0000
