## libkcddb 25.12.1+p24.04+vunstable+git20260123.0607

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16)
 
 project(libkcddb VERSION "5.1.0")
