=== kcmcddb/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 target_sources(kcm_cddb PRIVATE
     cddbconfigwidget.cpp
     kcmcddb.cpp kcmcddb.h
+    kcmcddbmoduledata.cpp kcmcddbmoduledata.h
 )
 
 set_source_files_properties(cddbconfigwidget.cpp PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/ui_cddbconfigwidget.h)
@@ -20,6 +21,7 @@
     KF6::I18n
     KF6::KIOCore
     KF6::KIOWidgets
+    KF6::Solid
     KF6::WidgetsAddons
     KCddb
 )
