## libkcddb 25.12.2+p24.04+vstable+git20260206.1514

=== debian/changelog ===
libkcddb (4:25.12.2+p24.04+vstable+git20260206.1514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:14:49 +0000

libkcddb (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:24:18 +0000
